This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015984 - yum update fails on AWS
yum update fails on AWS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rh-amazon-rhui-client (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity urgent
: rc
: 6.4
Assigned To: dgao
Anush Shetty
: ZStream
Depends On:
Blocks: 1010020
  Show dependency treegraph
 
Reported: 2013-10-07 04:17 EDT by Anush Shetty
Modified: 2013-12-05 10:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 10:52:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2013-10-07 04:17:39 EDT
Description of problem: yum update fails on AWS instances due to dependency issue of rh-amazon-rhui-client


Version-Release number of selected component (if applicable): RHEL-6.4-RHS-2.1-x86_64-6-Access2 (ami-14b08551)


How reproducible: Always


Steps to Reproduce:
1. yum update -y
2.
3.

Actual results:
# yum update -y
Loaded plugins: aliases, amazon-id, changelog, downloadonly, fastestmirror, filter-data, keys, list-data, merge-conf, priorities, product-id, protectbase, rhui-lb, security,
              : subscription-manager, tmprepo, tsflags, upgrade-helper, verify, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
rhui-REGION-client-config-server-6-rhs                                                                                                                            | 2.6 kB     00:00     
rhui-REGION-client-config-server-6-rhs/primary_db                                                                                                                 | 3.4 kB     00:00     
rhui-REGION-rhs-2.1-for-rhui-server-debug                                                                                                                         | 2.9 kB     00:00     
rhui-REGION-rhs-2.1-for-rhui-server-debug/primary_db                                                                                                              | 6.1 kB     00:00     
rhui-REGION-rhs-2.1-for-rhui-server-rpms                                                                                                                          | 2.9 kB     00:00     
rhui-REGION-rhs-2.1-for-rhui-server-rpms/primary_db                                                                                                               |  55 kB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-for-rhui-server-debug                                                                                                                | 2.9 kB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-for-rhui-server-debug/primary_db                                                                                                     | 1.2 MB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-for-rhui-server-rpms                                                                                                                 | 3.7 kB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-for-rhui-server-rpms/primary_db                                                                                                      |  22 MB     00:01     
rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-debug                                                                                                                   | 2.9 kB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-debug/primary_db                                                                                                        | 5.7 kB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-rpms                                                                                                                    | 3.7 kB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-rpms/primary_db                                                                                                         |  18 kB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-srpms                                                                                                                   | 2.6 kB     00:00     
rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-srpms/primary_db                                                                                                        | 4.3 kB     00:00     
Skipping filters plugin, no data
0 packages excluded due to repository protections
Setting up Update Process
Resolving Dependencies
Skipping filters plugin, no data
--> Running transaction check
---> Package abrt.x86_64 0:2.0.8-15.el6 will be updated
---> Package abrt.x86_64 0:2.0.8-16.el6_4.1 will be an update
---> Package abrt-libs.x86_64 0:2.0.8-15.el6 will be updated
---> Package abrt-libs.x86_64 0:2.0.8-16.el6_4.1 will be an update
---> Package chkconfig.x86_64 0:1.3.49.3-2.el6 will be updated
---> Package chkconfig.x86_64 0:1.3.49.3-2.el6_4.1 will be an update
---> Package db4.x86_64 0:4.7.25-17.el6 will be updated
---> Package db4.x86_64 0:4.7.25-18.el6_4 will be an update
---> Package db4-utils.x86_64 0:4.7.25-17.el6 will be updated
---> Package db4-utils.x86_64 0:4.7.25-18.el6_4 will be an update
---> Package dhclient.x86_64 12:4.1.1-34.P1.el6 will be updated
---> Package dhclient.x86_64 12:4.1.1-34.P1.el6_4.1 will be an update
---> Package dhcp-common.x86_64 12:4.1.1-34.P1.el6 will be updated
---> Package dhcp-common.x86_64 12:4.1.1-34.P1.el6_4.1 will be an update
---> Package dmidecode.x86_64 1:2.11-2.el6 will be updated
---> Package dmidecode.x86_64 1:2.11-2.el6_1 will be an update
---> Package iputils.x86_64 0:20071127-17.el6_4 will be updated
---> Package iputils.x86_64 0:20071127-17.el6_4.2 will be an update
---> Package krb5-libs.x86_64 0:1.10.3-10.el6_4.4 will be updated
---> Package krb5-libs.x86_64 0:1.10.3-10.el6_4.6 will be an update
---> Package libreport.x86_64 0:2.0.9-15.el6 will be updated
---> Package libreport.x86_64 0:2.0.9-15.el6_4.1 will be an update
---> Package libreport-compat.x86_64 0:2.0.9-15.el6 will be updated
---> Package libreport-compat.x86_64 0:2.0.9-15.el6_4.1 will be an update
---> Package libreport-plugin-reportuploader.x86_64 0:2.0.9-15.el6 will be updated
---> Package libreport-plugin-reportuploader.x86_64 0:2.0.9-15.el6_4.1 will be an update
---> Package libreport-plugin-rhtsupport.x86_64 0:2.0.9-15.el6 will be updated
---> Package libreport-plugin-rhtsupport.x86_64 0:2.0.9-15.el6_4.1 will be an update
---> Package libreport-python.x86_64 0:2.0.9-15.el6 will be updated
---> Package libreport-python.x86_64 0:2.0.9-15.el6_4.1 will be an update
---> Package libvirt.x86_64 0:0.10.2-18.el6_4.9 will be updated
---> Package libvirt.x86_64 0:0.10.2-18.el6_4.14 will be an update
---> Package libvirt-client.x86_64 0:0.10.2-18.el6_4.9 will be updated
---> Package libvirt-client.x86_64 0:0.10.2-18.el6_4.14 will be an update
---> Package libvirt-lock-sanlock.x86_64 0:0.10.2-18.el6_4.9 will be updated
---> Package libvirt-lock-sanlock.x86_64 0:0.10.2-18.el6_4.14 will be an update
---> Package libvirt-python.x86_64 0:0.10.2-18.el6_4.9 will be updated
---> Package libvirt-python.x86_64 0:0.10.2-18.el6_4.14 will be an update
---> Package mdadm.x86_64 0:3.2.5-4.el6_4.1 will be updated
---> Package mdadm.x86_64 0:3.2.5-4.el6_4.2 will be an update
---> Package polkit.x86_64 0:0.96-2.el6_0.1 will be updated
---> Package polkit.x86_64 0:0.96-5.el6_4 will be an update
---> Package python-rhsm.x86_64 0:1.1.8-1.el6 will be updated
---> Package python-rhsm.x86_64 0:1.8.17-1.el6_4 will be an update
---> Package qemu-img.x86_64 2:0.12.1.2-2.355.el6_4.7 will be updated
---> Package qemu-img.x86_64 2:0.12.1.2-2.355.el6_4.9 will be an update
---> Package qemu-kvm.x86_64 2:0.12.1.2-2.355.el6_4.7 will be updated
---> Package qemu-kvm.x86_64 2:0.12.1.2-2.355.el6_4.9 will be an update
---> Package qemu-kvm-tools.x86_64 2:0.12.1.2-2.355.el6_4.7 will be updated
---> Package qemu-kvm-tools.x86_64 2:0.12.1.2-2.355.el6_4.9 will be an update
---> Package rh-amazon-rhui-client-rhs21.noarch 0:2.2.89-1.el6_4 will be updated
---> Package rh-amazon-rhui-client-rhs21.noarch 0:2.2.92-1.el6_4 will be an update
--> Processing Dependency: rh-amazon-rhui-client for package: rh-amazon-rhui-client-rhs21-2.2.92-1.el6_4.noarch
---> Package rhn-check.noarch 0:1.0.0.1-5.el6rhs will be updated
---> Package rhn-check.noarch 0:1.0.0.1-8.el6 will be an update
---> Package rhn-client-tools.noarch 0:1.0.0.1-5.el6rhs will be updated
---> Package rhn-client-tools.noarch 0:1.0.0.1-8.el6 will be an update
---> Package rhn-setup.noarch 0:1.0.0.1-5.el6rhs will be updated
---> Package rhn-setup.noarch 0:1.0.0.1-8.el6 will be an update
---> Package setup.noarch 0:2.8.14-20.el6 will be updated
---> Package setup.noarch 0:2.8.14-20.el6_4.1 will be an update
---> Package subscription-manager.x86_64 0:1.1.23.1-1.el6_4 will be updated
---> Package subscription-manager.x86_64 0:1.8.22-1.el6_4 will be an update
---> Package yum-rhn-plugin.noarch 0:0.9.1-43.el6 will be updated
---> Package yum-rhn-plugin.noarch 0:0.9.1-49.el6 will be an update
--> Finished Dependency Resolution
Error: Package: rh-amazon-rhui-client-rhs21-2.2.92-1.el6_4.noarch (rhui-REGION-client-config-server-6-rhs)
           Requires: rh-amazon-rhui-client
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Expected results:

yum update should succeed


Additional info:
Comment 2 Anthony Towns 2013-10-07 20:44:50 EDT
This is a bug in the rh-amazon-rhui-client package; 2.2.90/2.2.91 introduced a requires on the base package, which apparently isn't actually distributed...
Comment 3 dgao 2013-10-09 20:19:25 EDT
Fixed in rh-amazon-rhui-client-rhs21-2.2.93-1.el6_4.noarch which is now available in production.
Comment 5 Anush Shetty 2013-10-10 02:58:37 EDT
Verified with AMI: RHEL-6.4-RHS-2.1-x86_64-6-Access2 (ami-87a934bd)

Note You need to log in before you can comment on or make changes to this bug.